Package io.strimzi.systemtest.resources.operator

## Class BundleResource

- java.lang.Object
- - io.strimzi.systemtest.resources.operator.BundleResource

-     public class BundleResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_CO_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BundleResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `clusterOperator​(String namespace)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `clusterOperator​(String namespace, long operationTimeout)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `clusterOperator​(String namespace, long operationTimeout, long reconciliationInterval)` |
    `static io.fabric8.kubernetes.api.model.apps.Deployment` | `createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment co)` |
    `static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder` | `defaultClusterOperator​(String namespace)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_CO_CONFIG

          public static final String PATH_TO_CO_CONFIG

  - ### Constructor Detail

    - #### BundleResource

          public BundleResource()

  - ### Method Detail

    - #### clusterOperator

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder clusterOperator​(String namespace,
                                                                                               long operationTimeout)

    - #### clusterOperator

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder clusterOperator​(String namespace,
                                                                                               long operationTimeout,
                                                                                               long reconciliationInterval)

    - #### clusterOperator

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder clusterOperator​(String namespace)

    - #### defaultClusterOperator

          public static io.fabric8.kubernetes.api.model.apps.DeploymentBuilder defaultClusterOperator​(String namespace)

    - #### createAndWaitForReadiness

          public static io.fabric8.kubernetes.api.model.apps.Deployment createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.apps.Deployment co)